I'm getting recursive dependency problems following a recent 
portupgrade -a.

I've deinstalled cups-base as advised in UPDATING and somehow 
ghostscript8 has also ended up being removed. Now when I attempt to 
rebuild cups-base I get recursive dependency problems.

curlew:/root# cd /usr/ports/print/cups-base

curlew:/usr/ports/print/cups-base# make

===>   cups-base-1.3.10_2 depends on file: /usr/local/lib/libcups.a - 
found
===>   cups-base-1.3.10_2 depends on executable: gmake - found
===>   cups-base-1.3.10_2 depends on executable: gs - not found
===>    Verifying install for gs in /usr/ports/print/ghostscript8
===>   ghostscript8-8.64_4 depends on executable: gmake - found
===>   ghostscript8-8.64_4 depends on 
file: /usr/local/libdata/pkgconfig/xt.pc - found
===>   ghostscript8-8.64_4 depends on 
file: /usr/local/libdata/pkgconfig/xext.pc - found
===>   ghostscript8-8.64_4 depends on shared library: jpeg.9 - found
===>   ghostscript8-8.64_4 depends on shared library: png.5 - found
===>   ghostscript8-8.64_4 depends on shared library: 
libcupsimage.so.2 - not found
===>    Verifying install for libcupsimage.so.2 
in /usr/ports/print/cups-base
===>   cups-base-1.3.10_2 depends on file: /usr/local/lib/libcups.a - 
found
===>   cups-base-1.3.10_2 depends on executable: gmake - found
===>   cups-base-1.3.10_2 depends on executable: gs - not found
===>    Verifying install for gs in /usr/ports/print/ghostscript8
===>   ghostscript8-8.64_4 depends on executable: gmake - found
===>   ghostscript8-8.64_4 depends on 
file: /usr/local/libdata/pkgconfig/xt.pc - found
===>   ghostscript8-8.64_4 depends on 
file: /usr/local/libdata/pkgconfig/xext.pc - found
===>   ghostscript8-8.64_4 depends on shared library: jpeg.9 - found
===>   ghostscript8-8.64_4 depends on shared library: png.5 - found
===>   ghostscript8-8.64_4 depends on shared library: 
libcupsimage.so.2 - not found
===>    Verifying install for libcupsimage.so.2 
in /usr/ports/print/cups-base
===>   cups-base-1.3.10_2 depends on file: /usr/local/lib/libcups.a - 
found
===>   cups-base-1.3.10_2 depends on executable: gmake - found
===>   cups-base-1.3.10_2 depends on executable: gs - not found


... this repeats many times until it changes to ...


make: Max recursion level (500) exceeded.: Resource temporarily 
unavailable
*** Error code 2

Stop in /usr/ports/print/cups-base.
*** Error code 1

Stop in /usr/ports/print/ghostscript8.
*** Error code 1

Stop in /usr/ports/print/cups-base.
*** Error code 1

Stop in /usr/ports/print/ghostscript8.
*** Error code 1

... I've already run pkgdb -Ff which deleted lots of redundant 
dependencies on cups-base and ghostscript8 but I consistently get the 
recursive problem. What should I try next?

-- 
Mike Clarke
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to